Package net.commoble.databuddy.datagen

# Record Class BlockStateBuilder.PropertyValueList

java.lang.Object
java.lang.Record
net.commoble.databuddy.datagen.BlockStateBuilder.PropertyValueList

Enclosing class:
  `BlockStateBuilder`

public static record BlockStateBuilder.PropertyValueList(List<net.commoble.databuddy.datagen.BlockStateBuilder.PropertyValue<?>> propertyValues) extends Record
Component of Variants definitions, representing one or more property-value entries, e.g. "powered=true,lit=false"

## Constructor Summary

Constructors
Constructor
Description
`PropertyValueList(List<net.commoble.databuddy.datagen.BlockStateBuilder.PropertyValue<?>> propertyValues)`
Creates an instance of a `PropertyValueList` record class.

## Method Summary

Modifier and Type
Method
Description
`<T extends Comparable<T>>
BlockStateBuilder.PropertyValueList`
`addPropertyValue(net.minecraft.world.level.block.state.properties.Property<T> property, T value)`
Adds a blockstate property value to this variant's state filter, e.g.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`List<net.commoble.databuddy.datagen.BlockStateBuilder.PropertyValue<?>>`
`propertyValues()`
Returns the value of the `propertyValues` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyValueList

public PropertyValueList(List<net.commoble.databuddy.datagen.BlockStateBuilder.PropertyValue<?>> propertyValues)
Creates an instance of a `PropertyValueList` record class.

Parameters:
  `propertyValues` - the value for the `propertyValues` record component

## Method Details

### addPropertyValue

public <T extends Comparable<T>> BlockStateBuilder.PropertyValueList addPropertyValue(net.minecraft.world.level.block.state.properties.Property<T> property, T value)
Adds a blockstate property value to this variant's state filter, e.g. "powered=true"

Type Parameters:
  `T` - type of the blockstate property to filter blockstates by
Parameters:
  `property` - blockstate Property to filter blockstates by, e.g. `BlockStateProperties.POWERED`
  `value` - value of the blockstate Property to filter blockstates by, e.g. true
Returns:
  this

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### propertyValues

public List<net.commoble.databuddy.datagen.BlockStateBuilder.PropertyValue<?>> propertyValues()
Returns the value of the `propertyValues` record component.

Returns:
  the value of the `propertyValues` record component